﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.BusinessLogics;
using DepartmentBusinessLogic.ViewModels;
using DesktopTools.Controls;
using DesktopTools.Interfaces;
using System;

namespace DepartmentWindowsDesktop.EntityControls
{
	public partial class ControlLecturerElement :
		GenericControlEntityElement<LecturerGetBindingModel, LecturerSetBindingModel, LecturerListViewModel, LecturerViewModel, LecturerBusinessLogic>,
		IGenericControlEntityElement
	{
		public ControlLecturerElement()
		{
			InitializeComponent();
			Title = "Преподаватель";
			ControlId = new Guid("62a30c94-56eb-4df8-8cc2-9c1b937413e5");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlLecturerElement() { ControlId = Guid.NewGuid() };
	}
}