﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.BusinessLogics;
using DepartmentBusinessLogic.ViewModels;
using DesktopTools.Controls;
using DesktopTools.Interfaces;
using System;

namespace DepartmentWindowsDesktop.EntityControls
{
	/// <summary>
	/// Реализация контрола для сязи преподавателя и должности
	/// </summary>
	public partial class ControlLecturerEmployeePostElement :
		GenericControlEntityElement<LecturerEmployeePostGetBindingModel, LecturerEmployeePostSetBindingModel, LecturerEmployeePostListViewModel, LecturerEmployeePostViewModel, LecturerEmployeePostBusinessLogic>,
		IGenericControlEntityElement
	{
		public ControlLecturerEmployeePostElement()
		{
			InitializeComponent();
			Title = "Связи преподавателей с должностями";
			ControlId = new Guid("88f4b4e5-68ff-4a84-9f38-dc9952cc635f");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlLecturerEmployeePostElement() { ControlId = Guid.NewGuid() };
	}
}