﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.BusinessLogics;
using DepartmentBusinessLogic.ViewModels;
using DesktopTools.Controls;
using DesktopTools.Interfaces;
using System;

namespace DepartmentWindowsDesktop.EntityControls
{
	/// <summary>
	/// Реализация контрола для должности преподавателя
	/// </summary>
	public partial class ControlLecturerPostElement :
		GenericControlEntityElement<LecturerPostGetBindingModel, LecturerPostSetBindingModel, LecturerPostListViewModel, LecturerPostViewModel, LecturerPostBusinessLogic>,
		IGenericControlEntityElement
	{
		public ControlLecturerPostElement()
		{
			InitializeComponent();
			Title = "Должность преподавателя";
			ControlId = new Guid("25700525-7765-46c3-bbbf-a842f31bd898");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlLecturerPostElement() { ControlId = Guid.NewGuid() };
	}
}